net.sf.jasperreports.engine.export

## Class JExcelApiExporter.StyleInfo

- java.lang.Object
- - net.sf.jasperreports.engine.export.JExcelApiExporter.StyleInfo

- Enclosing class:
    JExcelApiExporter

      protected class JExcelApiExporter.StyleInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected jxl.format.Colour` | `backcolor`
    `protected JExcelApiExporter.BoxStyle` | `box`
    `protected jxl.write.WritableFont` | `font`
    `protected int` | `horizontalAlignment`
    `protected boolean` | `isCellLocked`
    `protected boolean` | `isWrapText`
    `protected jxl.format.Pattern` | `mode`
    `protected int` | `rotation`
    `protected int` | `verticalAlignment`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JExcelApiExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JExcelApiExporter.BoxStyle box)`
    `protected` | `JExcelApiExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JExcelApiExporter.BoxStyle box, boolean wrapText)`
    `protected` | `JExcelApiExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JExcelApiExporter.BoxStyle box, boolean wrapText, boolean cellLocked)`
    `protected` | `JExcelApiExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JRExporterGridCell gridCell)`
    `protected` | `JExcelApiExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JRExporterGridCell gridCell, boolean wrapText)`
    `protected` | `JExcelApiExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JRExporterGridCell gridCell, boolean wrapText, boolean cellLocked)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `computeHash()`
    `boolean` | `equals(java.lang.Object o)`
    `jxl.biff.DisplayFormat` | `getDisplayFormat()`
    `int` | `hashCode()`
    `void` | `setDisplayFormat(jxl.biff.DisplayFormat displayFormat)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          protected final jxl.format.Pattern mode

    - #### backcolor

          protected final jxl.format.Colour backcolor

    - #### horizontalAlignment

          protected final int horizontalAlignment

    - #### verticalAlignment

          protected final int verticalAlignment

    - #### rotation

          protected final int rotation

    - #### font

          protected final jxl.write.WritableFont font

    - #### box

          protected final JExcelApiExporter.BoxStyle box

    - #### isWrapText

          protected final boolean isWrapText

    - #### isCellLocked

          protected final boolean isCellLocked

  - ### Constructor Detail

    - #### JExcelApiExporter.StyleInfo

          protected JExcelApiExporter.StyleInfo(jxl.format.Pattern mode,
                                     jxl.format.Colour backcolor,
                                     int horizontalAlignment,
                                     int verticalAlignment,
                                     int rotation,
                                     jxl.write.WritableFont font,
                                     JRExporterGridCell gridCell)

    - #### JExcelApiExporter.StyleInfo

          protected JExcelApiExporter.StyleInfo(jxl.format.Pattern mode,
                                     jxl.format.Colour backcolor,
                                     int horizontalAlignment,
                                     int verticalAlignment,
                                     int rotation,
                                     jxl.write.WritableFont font,
                                     JRExporterGridCell gridCell,
                                     boolean wrapText)

    - #### JExcelApiExporter.StyleInfo

          protected JExcelApiExporter.StyleInfo(jxl.format.Pattern mode,
                                     jxl.format.Colour backcolor,
                                     int horizontalAlignment,
                                     int verticalAlignment,
                                     int rotation,
                                     jxl.write.WritableFont font,
                                     JRExporterGridCell gridCell,
                                     boolean wrapText,
                                     boolean cellLocked)

    - #### JExcelApiExporter.StyleInfo

          protected JExcelApiExporter.StyleInfo(jxl.format.Pattern mode,
                                     jxl.format.Colour backcolor,
                                     int horizontalAlignment,
                                     int verticalAlignment,
                                     int rotation,
                                     jxl.write.WritableFont font,
                                     JExcelApiExporter.BoxStyle box)

    - #### JExcelApiExporter.StyleInfo

          protected JExcelApiExporter.StyleInfo(jxl.format.Pattern mode,
                                     jxl.format.Colour backcolor,
                                     int horizontalAlignment,
                                     int verticalAlignment,
                                     int rotation,
                                     jxl.write.WritableFont font,
                                     JExcelApiExporter.BoxStyle box,
                                     boolean wrapText)

    - #### JExcelApiExporter.StyleInfo

          protected JExcelApiExporter.StyleInfo(jxl.format.Pattern mode,
                                     jxl.format.Colour backcolor,
                                     int horizontalAlignment,
                                     int verticalAlignment,
                                     int rotation,
                                     jxl.write.WritableFont font,
                                     JExcelApiExporter.BoxStyle box,
                                     boolean wrapText,
                                     boolean cellLocked)

  - ### Method Detail

    - #### computeHash

          protected void computeHash()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDisplayFormat

          public jxl.biff.DisplayFormat getDisplayFormat()

    - #### setDisplayFormat

          public void setDisplayFormat(jxl.biff.DisplayFormat displayFormat)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com